API referenceAgent spec
List available agents on the runtime
Retrieve a list of agents registered on the Agent Spec runtime. These agents can be referenced by `agent_node` components.
AuthorizationBearer <token>
JWT token for authentication
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/agentspec/agents"[ { "name": "string", "description": "string", "inputs": [ { "title": "user_query", "type": "string", "description": "string", "default": null, "enum": [ null ], "items": {}, "properties": { "property1": {}, "property2": {} }, "required": [ "string" ] } ], "outputs": [ { "title": "user_query", "type": "string", "description": "string", "default": null, "enum": [ null ], "items": {}, "properties": { "property1": {}, "property2": {} }, "required": [ "string" ] } ] }]Check Agent Spec runtime health GET
Verify that the configured Agent Spec runtime is available and responding. Used to check connectivity before execution.
List available tools on the runtime GET
Retrieve a list of tools registered on the Agent Spec runtime. These tools can be referenced by `tool_node` components.